org.duckdb

## Class DuckDBVector

- java.lang.Object
- - org.duckdb.DuckDBVector

    public class DuckDBVector
    extends java.lang.Object

### Field Summary

Fields
`protected java.nio.ByteBuffer` `constlen_data`
`protected java.lang.String` `duckdb_type`
`protected int` `length`
`protected boolean[]` `nullmask`
`protected java.lang.Object[]` `varlen_data`

### Constructor Summary

Constructors
Constructor and Description
`DuckDBVector(java.lang.String duckdb_type, int length, boolean[] nullmask)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### duckdb_type

    protected java.lang.String duckdb_type

#### length

    protected int length

#### nullmask

    protected boolean[] nullmask

#### constlen_data

    protected java.nio.ByteBuffer constlen_data

#### varlen_data

    protected java.lang.Object[] varlen_data

### Constructor Detail

#### DuckDBVector

    public DuckDBVector(java.lang.String duckdb_type,
                        int length,
                        boolean[] nullmask)